--
-- PostgreSQL database cluster dump
--

SET default_transaction_read_only = off;

SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;

--
-- Roles
--


-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16384'::pg_catalog.oid);

CREATE ROLE "akonadi";
ALTER ROLE "akonadi" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md5fdbb05aeb04fb1afef6da3c0bff093a7';

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16385'::pg_catalog.oid);

CREATE ROLE "any-doc";
ALTER ROLE "any-doc" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md58a31a3d8a00dd38b5797f9f1da2a233b';

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16386'::pg_catalog.oid);

CREATE ROLE "any-staff";
ALTER ROLE "any-staff" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md529e59cda96fa1c8771bc64f563c598ff';

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16387'::pg_catalog.oid);

CREATE ROLE "gm-dbo";
ALTER ROLE "gm-dbo" WITH NOSUPERUSER INHERIT CREATEROLE CREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md53c6764adead61b3a5cf1d84ffcc26465';

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16388'::pg_catalog.oid);

CREATE ROLE "gm-doctors";
ALTER ROLE "gm-doctors" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16389'::pg_catalog.oid);

CREATE ROLE "gm-logins";
ALTER ROLE "gm-logins" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16390'::pg_catalog.oid);

CREATE ROLE "gm-public";
ALTER ROLE "gm-public" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16391'::pg_catalog.oid);

CREATE ROLE "gm-staff";
ALTER ROLE "gm-staff" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16392'::pg_catalog.oid);

CREATE ROLE "gnumed_v10";
ALTER ROLE "gnumed_v10" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16393'::pg_catalog.oid);

CREATE ROLE "gnumed_v11";
ALTER ROLE "gnumed_v11" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16394'::pg_catalog.oid);

CREATE ROLE "gnumed_v12";
ALTER ROLE "gnumed_v12" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16395'::pg_catalog.oid);

CREATE ROLE "gnumed_v13";
ALTER ROLE "gnumed_v13" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16396'::pg_catalog.oid);

CREATE ROLE "gnumed_v14";
ALTER ROLE "gnumed_v14" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16397'::pg_catalog.oid);

CREATE ROLE "gnumed_v15";
ALTER ROLE "gnumed_v15" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16398'::pg_catalog.oid);

CREATE ROLE "gnumed_v16";
ALTER ROLE "gnumed_v16" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16399'::pg_catalog.oid);

CREATE ROLE "gnumed_v17";
ALTER ROLE "gnumed_v17" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16400'::pg_catalog.oid);

CREATE ROLE "gnumed_v18";
ALTER ROLE "gnumed_v18" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16401'::pg_catalog.oid);

CREATE ROLE "gnumed_v19";
ALTER ROLE "gnumed_v19" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16402'::pg_catalog.oid);

CREATE ROLE "gnumed_v2";
ALTER ROLE "gnumed_v2" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16403'::pg_catalog.oid);

CREATE ROLE "gnumed_v20";
ALTER ROLE "gnumed_v20" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('46655'::pg_catalog.oid);

CREATE ROLE "gnumed_v21";
ALTER ROLE "gnumed_v21" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16404'::pg_catalog.oid);

CREATE ROLE "gnumed_v3";
ALTER ROLE "gnumed_v3" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16405'::pg_catalog.oid);

CREATE ROLE "gnumed_v4";
ALTER ROLE "gnumed_v4" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16406'::pg_catalog.oid);

CREATE ROLE "gnumed_v5";
ALTER ROLE "gnumed_v5" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16407'::pg_catalog.oid);

CREATE ROLE "gnumed_v6";
ALTER ROLE "gnumed_v6" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16408'::pg_catalog.oid);

CREATE ROLE "gnumed_v7";
ALTER ROLE "gnumed_v7" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16409'::pg_catalog.oid);

CREATE ROLE "gnumed_v8";
ALTER ROLE "gnumed_v8" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('16410'::pg_catalog.oid);

CREATE ROLE "gnumed_v9";
ALTER ROLE "gnumed_v9" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('557588'::pg_catalog.oid);

CREATE ROLE "knru";
ALTER ROLE "knru" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md5bfa8bde503344a861905bfa91fc43344';

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('128569'::pg_catalog.oid);

CREATE ROLE "late";
ALTER ROLE "late" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md5f8aaff7f409d9e60b8f5babadc46e499';

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('128570'::pg_catalog.oid);

CREATE ROLE "oneTe";
ALTER ROLE "oneTe" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md5da93e07e7107783bd7a14cd89834122d';

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('289706'::pg_catalog.oid);

CREATE ROLE "orthanc";
ALTER ROLE "orthanc" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('10'::pg_catalog.oid);

ALTER ROLE "postgres" WITH SUPERUSER INHERIT CREATEROLE CREATEDB LOGIN NOREPLICATION NOBYPASSRLS;

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('487747'::pg_catalog.oid);

CREATE ROLE "test-doc";
ALTER ROLE "test-doc" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md5cb7ed8d21df06654fd59235b33898f46' VALID UNTIL '2004-12-30 23:00:00+00';

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('487748'::pg_catalog.oid);

CREATE ROLE "test-nurse";
ALTER ROLE "test-nurse" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md5478fbd9a7fbfe8316321f8f6c7de5fa6' VALID UNTIL '2004-12-30 23:00:00+00';

-- For binary upgrade, must preserve pg_authid.oid
SELECT pg_catalog.binary_upgrade_set_next_pg_authid_oid('487749'::pg_catalog.oid);

CREATE ROLE "test-secretary";
ALTER ROLE "test-secretary" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md5acf9fff50ba925e033f6cc3988c37e45' VALID UNTIL '2004-12-30 23:00:00+00';


--
-- Role memberships
--

GRANT "gm-doctors" TO "any-doc" GRANTED BY "postgres";
GRANT "gm-doctors" TO "knru" GRANTED BY "gm-dbo";
GRANT "gm-doctors" TO "late" GRANTED BY "gm-dbo";
GRANT "gm-doctors" TO "oneTe" GRANTED BY "gm-dbo";
GRANT "gm-doctors" TO "test-doc" GRANTED BY "postgres";
GRANT "gm-logins" TO "any-doc" GRANTED BY "gm-dbo";
GRANT "gm-logins" TO "any-staff" GRANTED BY "gm-dbo";
GRANT "gm-logins" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gm-logins" TO "knru" GRANTED BY "gm-dbo";
GRANT "gm-logins" TO "late" GRANTED BY "gm-dbo";
GRANT "gm-logins" TO "oneTe" GRANTED BY "gm-dbo";
GRANT "gm-logins" TO "postgres" GRANTED BY "postgres";
GRANT "gm-public" TO "any-doc" GRANTED BY "postgres";
GRANT "gm-public" TO "any-staff" GRANTED BY "gm-dbo";
GRANT "gm-public" TO "gm-doctors" GRANTED BY "gm-dbo";
GRANT "gm-public" TO "gm-staff" GRANTED BY "gm-dbo";
GRANT "gm-public" TO "test-doc" GRANTED BY "postgres";
GRANT "gm-public" TO "test-nurse" GRANTED BY "postgres";
GRANT "gm-public" TO "test-secretary" GRANTED BY "postgres";
GRANT "gm-staff" TO "any-staff" GRANTED BY "gm-dbo";
GRANT "gm-staff" TO "gm-doctors" GRANTED BY "gm-dbo";
GRANT "gnumed_v10" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v10" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v11" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v11" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v12" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v12" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v13" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v13" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v14" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v14" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v15" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v15" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v16" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v16" TO "any-staff" GRANTED BY "gm-dbo";
GRANT "gnumed_v16" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v17" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v17" TO "any-staff" GRANTED BY "postgres";
GRANT "gnumed_v17" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v18" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v18" TO "any-staff" GRANTED BY "postgres";
GRANT "gnumed_v18" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v18" TO "late" GRANTED BY "gm-dbo";
GRANT "gnumed_v18" TO "oneTe" GRANTED BY "gm-dbo";
GRANT "gnumed_v19" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v19" TO "any-staff" GRANTED BY "postgres";
GRANT "gnumed_v19" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v19" TO "late" GRANTED BY "postgres";
GRANT "gnumed_v19" TO "oneTe" GRANTED BY "postgres";
GRANT "gnumed_v2" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v2" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v20" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v20" TO "any-staff" GRANTED BY "postgres";
GRANT "gnumed_v20" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v20" TO "late" GRANTED BY "postgres";
GRANT "gnumed_v20" TO "oneTe" GRANTED BY "postgres";
GRANT "gnumed_v21" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v21" TO "any-staff" GRANTED BY "postgres";
GRANT "gnumed_v21" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v21" TO "knru" GRANTED BY "gm-dbo";
GRANT "gnumed_v21" TO "late" GRANTED BY "postgres";
GRANT "gnumed_v21" TO "oneTe" GRANTED BY "postgres";
GRANT "gnumed_v3" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v3" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v4" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v4" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v5" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v5" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v6" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v6" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v7" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v7" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v8" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v8" TO "gm-dbo" GRANTED BY "postgres";
GRANT "gnumed_v9" TO "any-doc" GRANTED BY "postgres";
GRANT "gnumed_v9" TO "gm-dbo" GRANTED BY "postgres";




--
-- Database creation
--

CREATE DATABASE "akonadi" WITH TEMPLATE = template0 OWNER = "postgres";
-- For binary upgrade, set datfrozenxid and datminmxid.
UPDATE pg_catalog.pg_database SET datfrozenxid = '1292', datminmxid = '1' WHERE datname = 'akonadi';
CREATE DATABASE "gnumed_v20" WITH TEMPLATE = template0 OWNER = "gm-dbo";
-- For binary upgrade, set datfrozenxid and datminmxid.
UPDATE pg_catalog.pg_database SET datfrozenxid = '1292', datminmxid = '1' WHERE datname = 'gnumed_v20';
ALTER DATABASE "gnumed_v20" SET "lc_messages" TO 'C';
ALTER DATABASE "gnumed_v20" SET "sql_inheritance" TO 'on';
ALTER DATABASE "gnumed_v20" SET "default_transaction_read_only" TO 'on';
ALTER DATABASE "gnumed_v20" SET "check_function_bodies" TO 'on';
ALTER DATABASE "gnumed_v20" SET "ignore_checksum_failure" TO 'off';
CREATE DATABASE "gnumed_v21" WITH TEMPLATE = template0 OWNER = "gm-dbo";
-- For binary upgrade, set datfrozenxid and datminmxid.
UPDATE pg_catalog.pg_database SET datfrozenxid = '1292', datminmxid = '1' WHERE datname = 'gnumed_v21';
ALTER DATABASE "gnumed_v21" SET "lc_messages" TO 'C';
ALTER DATABASE "gnumed_v21" SET "sql_inheritance" TO 'on';
ALTER DATABASE "gnumed_v21" SET "default_transaction_read_only" TO 'on';
ALTER DATABASE "gnumed_v21" SET "check_function_bodies" TO 'on';
CREATE DATABASE "orthanc_db" WITH TEMPLATE = template0 OWNER = "orthanc";
-- For binary upgrade, set datfrozenxid and datminmxid.
UPDATE pg_catalog.pg_database SET datfrozenxid = '1292', datminmxid = '1' WHERE datname = 'orthanc_db';
-- For binary upgrade, set datfrozenxid and datminmxid.
UPDATE pg_catalog.pg_database SET datfrozenxid = '1292', datminmxid = '1' WHERE datname = 'postgres';
-- For binary upgrade, set datfrozenxid and datminmxid.
UPDATE pg_catalog.pg_database SET datfrozenxid = '1292', datminmxid = '1' WHERE datname = 'template1';
REVOKE ALL ON DATABASE "template1" FROM PUBLIC;
REVOKE ALL ON DATABASE "template1" FROM "postgres";
GRANT ALL ON DATABASE "template1" TO "postgres";
GRANT CONNECT ON DATABASE "template1" TO PUBLIC;


--
-- PostgreSQL database cluster dump complete
--

